package it.unibo.ai.rec.ui;

import java.text.*;
import java.util.Date;

import it.unibo.ai.rec.common.TimeGranularity;
import it.unibo.ai.rec.model.HappenedEventSet;

public abstract class DateEventOutputter extends EventOutputter {
	protected DateFormat dateFormat;
	
	
	public DateEventOutputter(TimeGranularity granularity, String dateFormatPattern) {
		super(granularity);
		dateFormat = new SimpleDateFormat(dateFormatPattern);
	}
	
	public abstract String toString(HappenedEventSet set);
	

	public DateFormat getDateFormat() {
		return dateFormat;
	}


}
